Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client.async
Interface IAsyncResult

All Known Implementing Classes:
  AsyncResult

public interface IAsyncResult

Access the results of the Async call

Author:
  Davanum Srinivas (dims@yahoo.com)

Method Summary
`void` | `abort()` Method abort
`java.lang.Throwable` | `getException()` Method getException
`java.lang.Object` | `getResponse()` Method getResponse
`Status` | `getStatus()` Method getStatus
`void` | `waitFor(long timeout)` Method waitFor

Method Detail

### abort

    public void abort()

  Method abort

### getStatus

    public Status getStatus()

  Method getStatus

  Returns:

### waitFor

    public void waitFor(long timeout)
                 throws java.lang.InterruptedException

  Method waitFor

  Parameters:
    `timeout` -
  Throws:
    `java.lang.InterruptedException`

### getResponse

    public java.lang.Object getResponse()

  Method getResponse

  Returns:

### getException

    public java.lang.Throwable getException()

  Method getException

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.